/***************************************************************************
                          cactionlist.cpp  -  guess what?
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : St nov 6 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cactionlist.h"
#include "caction.h"
#include "kmuddy.h"
#include "csession.h"

#include <kconfig.h>
#include <ktoolbar.h>

extern KMuddy *kmuddy;

cActionList::cActionList (QString filename, cSession *_sess) :
  cSaveableList (_sess)
{
  //sess is assigned in cSaveableList's constructor
  prototype = new cAction ();
  objName = "Action";
  config = new KConfig (filename);
  load ();
}

cActionList::~cActionList ()
{
  save ();
  config->sync ();
//  kmuddy->atool()->clear ();
}

void cActionList::rebuildToolbar ()
{
  kmuddy->atool()->clear ();
  int id = 1;
  for (reset(); *this; (*this)++)
    ((cAction *) cur)->insertToToolbar (id++);
  reset ();
}
