/***************************************************************************
                          cactionlist.h  -  guess what?
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : St nov 6 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CACTIONLIST_H
#define CACTIONLIST_H

/*
Current status of cActionList class (Nov 6, 2002):
 - requested features implemented
 - new features may still be added
 - code has been tested and it works
*/

#include "csaveablelist.h"

#include <qstring.h>

class cCmdProcessor;
class cSession;

/**
List of actions in dynamic toolbar. Nothing more, nothing less.

Uses cSaveableList because of its saving capabilities; string matching
functions are not used.
  *@author Tomas Mecir
  */

class cActionList : public cSaveableList  {
   Q_OBJECT
public: 
  cActionList (QString filename, cSession *sess);
  ~cActionList ();

  /** rebuild the toolbar */
  void rebuildToolbar ();
  
  /** not needed here */
  virtual void processCommands (const QStringList &command) {};
};

#endif
