/***************************************************************************
              csessionbase.h  -  base for cSession-handled stuff
              -------------------
    begin                : Pi nov 15 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CSESSIONBASE_H
#define CSESSIONBASE_H


/**
All classes that are handled by cSession also inherit from this class.
It gives them access to functions that get/set cSession pointer.

Multiple inheritance is definitely a good thing :)

  *@author Tomas Mecir
  */

class cSession;

class cSessionBase {
public:
  cSessionBase ();

  cSession *session ();
  void setSession (cSession *session);
protected:
  cSession *sess;
};

#endif
