/***************************************************************************
                          cshortcutlist.h  -  macro key list
                             -------------------
    begin                : St mj 28 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CSHORTCUTLIST_H
#define CSHORTCUTLIST_H

#include <qwidget.h>

#include "csaveablelist.h"

/**
List of macro keys/shortcuts

  *@author Tomas Mecir
  */

class cShortcutList : public cSaveableList  {
   Q_OBJECT
public: 
  cShortcutList (QString filename, cSession *s);
  ~cShortcutList ();

  /** this key was pressed - send a command if needed, returns true if
  some shortcut matched the key */
  bool handleKey (int key, int state);
protected:
  /** NOT USED HERE */
  virtual void processCommands (const QStringList &command) {};
};

#endif
