/***************************************************************************
                          cnumberedchecklistitem.h  -  description
                             -------------------
    begin                : Pi dec 6 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CNUMBEREDCHECKLISTITEM_H
#define CNUMBEREDCHECKLISTITEM_H

#include <qwidget.h>
#include <qlistview.h>

class QListView;

/**
QCheckListItem with an ID. Used in dlgGroups to store group IDs.
  *@author Tomas Mecir
  */

class cNumberedCheckListItem : public QCheckListItem  {
public: 
  /** I only need this constructor */
  cNumberedCheckListItem (QListView * parent, const QString &text, Type tt = Controller);

  void setNumber (int number) { _number = number; };
  int number () { return _number; };
protected:
  int _number;
};

#endif
