/***************************************************************************
                          dlggrabkey.cpp  -  keygrabber
                             -------------------
    begin                : Pi mj 30 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "../dialogs/dlggrabkey.h"

#include "../kmuddy.h"
extern KMuddy *kmuddy;

#include <qlabel.h>
#include <qvbox.h>
#include <klocale.h>

dlgGrabKey::dlgGrabKey (QWidget *parent, const char *name ) :
    KDialogBase (parent, name, true, i18n ("Keygrabber"), Cancel, Cancel)
{
  kmuddy->setGrabDialog (this);
  
  //initial dialog size
  setInitialSize (QSize (200, 80));

  //create main dialog's widget
  QVBox *vbox = new QVBox (this);
  setMainWidget (vbox);
  QLabel *label = new QLabel (i18n ("Press the desired short-cut..."), vbox);
}

dlgGrabKey::~dlgGrabKey ()
{
  kmuddy->setGrabDialog (0);
}

void dlgGrabKey::gotKey (int key, int state)
{
  _key = key;
  _state = state;
  accept ();
}
