/***************************************************************************
                          dlgintnuminput.h  -  integer input dialog
                             -------------------
    begin                : St jun 25 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGINTNUMINPUT_H
#define DLGINTNUMINPUT_H

#include <kdialogbase.h>

class KIntNumInput;
/**
Dialog used to enter one number.
  *@author Tomas Mecir
  */

class dlgIntNumInput : public KDialogBase  {
   Q_OBJECT
public: 
  dlgIntNumInput (QWidget *parent=0, const char *name=0);
  ~dlgIntNumInput ();
  void setText (const QString &text);
  void setRange (int low, int high);
  void setNumber (int num);
  int number ();
  static int getNumber (const QString &text, int low, int high,
      int initnum, bool *ok, QWidget *parent = 0);
protected:
  KIntNumInput *numInput;
};

#endif
