//
// C++ Interface: dlgoutputwindow
//
// Description: 
//
//
// Author: Vladimir Lazarenko <vlad@lazarenko.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DLGOUTPUTWINDOW_H
#define DLGOUTPUTWINDOW_H

#include <qwidget.h>
#include <kdialogbase.h>

class cConsole;
class cSession;

/**
One output window.
@author Vladimir Lazarenko
*/

class dlgOutputWindow : public KDialogBase
{
  Q_OBJECT
public:
  dlgOutputWindow(QWidget *parent, const char *name = 0);
  ~dlgOutputWindow();

  void addLine(const QString &text, const QString &tc, const QString &bc);
  void setOutputWindowName(const QString &name);
  void setSession(cSession *s);
protected:
  cConsole *owindow;
  cSession *sess;

};

#endif
