/***************************************************************************
                          dlgquickconnect.h  -  QuickConnect dialog
    This file is a part of KMuddy distribution.
                             -------------------
    begin                : t Jul 23 2002
    copyright            : (C) 2002 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGQUICKCONNECT_H
#define DLGQUICKCONNECT_H

#include <qwidget.h>
#include <kdialogbase.h>

class KLineEdit;
class KRestrictedLine;

/*
Current status of dlgQuickConnect class (Jul 26, 2002):
 - requested features implemented
 - tested, works
*/

/**
QuickConnect dialog - handled by cConnection.
  *@author Tomas Mecir
  */

class dlgQuickConnect : public KDialogBase  {
   Q_OBJECT
public: 
  dlgQuickConnect (QWidget *parent=0, const char *name=0);
  ~dlgQuickConnect ();

  /** values in LineEdits */
  QString host ();
  int port ();

protected:
  KLineEdit *ed1;
  KRestrictedLine *ed2;
};

#endif
