/***************************************************************************
                          dlgshortcuts.h  -  Macro keys dialog box
                             -------------------
    begin                : Pi mj 30 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGSHORTCUTS_H
#define DLGSHORTCUTS_H

#include <kdialogbase.h>

class cShortcutList;

class KlistBox;
class KPushButton;

/**
Macro keys/shortcuts.
  *@author Tomas Mecir
  */

class dlgShortcuts : public KDialogBase  {
   Q_OBJECT
public: 
  dlgShortcuts (cShortcutList *slist, QWidget *parent=0, const char *name=0);
  ~dlgShortcuts ();
protected slots:
  void add ();
  void modify ();
  void remove ();
protected:
  void createDialog ();

  void updateMe ();

  cShortcutList *sl;

  KListBox *box;
  KPushButton *btadd, *btmodify, *btdelete;
};

#endif
