/***************************************************************************
                          dlgstatistics.h  -  Statistics dialog
                             -------------------
    begin                : Pi mar 14 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGSTATISTICS_H
#define DLGSTATISTICS_H

#include <qwidget.h>
#include <kdialogbase.h>

class QTimer;
class KListView;

/**
Connection statistics dialog box.
  *@author Tomas Mecir
  */

class dlgStatistics : public KDialogBase {
   Q_OBJECT
public: 
  dlgStatistics (QWidget *parent=0, const char *name=0);
  ~dlgStatistics ();
  /** update information in the dialog */
public slots:
  void update ();
protected:
  QTimer *updateTimer;

  KListView *view;
};

#endif
