/***************************************************************************
                          dlgtimers.h  -  description
                             -------------------
    begin                : Pi mj 9 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGTIMERS_H
#define DLGTIMERS_H

#include <qwidget.h>
#include <kdialogbase.h>

class cTimerList;

class KListBox;
class KPushButton;

/**
Dialog that shows a list of timers.
  *@author Tomas Mecir
  */

class dlgTimers : public KDialogBase  {
   Q_OBJECT
public: 
  dlgTimers (cTimerList *tlist, QWidget *parent=0, const char *name=0);
  ~dlgTimers ();
protected slots:
  void add ();
  void modify ();
  void remove ();
  void activate ();
  void deactivate ();
protected:
  void createDialog ();

  void updateMe ();

  cTimerList *tl;
  friend class cTimerList;
  
  KListBox *box;
  KPushButton *btadd, *btmodify, *btdelete, *btactivate, *btdeactivate;
};

#endif
