//
// C++ Interface: dlgvartriglist
//
// Description:
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DLGVARTRIGLIST_H
#define DLGVARTRIGLIST_H

#include <kdialogbase.h>

class cVarTriggerList;

class KListBox;
class KPushButton;

/**
Dialog that shows a list of variable triggers.

@author Tomas Mecir
*/

class dlgVarTrigList : public KDialogBase
{
Q_OBJECT
public:
  dlgVarTrigList (cVarTriggerList *vt, QWidget *parent = 0, const char *name = 0);
  ~dlgVarTrigList ();

protected slots:
  void add ();
  void modify ();
  void remove ();
protected:
  void createDialog ();

  void updateMe ();

  cVarTriggerList *vtlist;

  KListBox *box;
  KPushButton *btadd, *btmodify, *btdelete;
};

#endif
