/***************************************************************************
                          cvariable.cpp  -  one variable
                             -------------------
    begin                : Po sep 8 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@kmuddy.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cvariable.h"

#include <kconfig.h>

cVariable::cVariable ()
{
  _name = _value = QString::null;
}

cVariable::~cVariable ()
{

}

cSaveableField *cVariable::newInstance ()
{
  return new cVariable;
}

void cVariable::load (KConfig *config, const QString &group)
{
  config->setGroup (group);
  setName (config->readEntry ("Name", QString::null));
  setValue (config->readEntry ("Value", QString::null));
}

void cVariable::save (KConfig *config, const QString &group)
{
  config->setGroup (group);
  config->writeEntry ("Name", _name);
  config->writeEntry ("Value", _value);
}

