/***************************************************************************
                          cnumberedlistitem.h
                             -------------------
    begin                : Ne jan 19 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CNUMBEREDLISTITEM_H
#define CNUMBEREDLISTITEM_H

#include <qlistview.h>

/**
Numbered listview item.
Used in RunningScripts dialog to remember script IDs.
  *@author Tomas Mecir
  */

class cNumberedListItem : public QListViewItem  {
public: 
  cNumberedListItem (QListView * parent, QString label1, QString label2, QString label3 = QString::null);
  cNumberedListItem (QListView * parent, cNumberedListItem *after, QString label1, QString label2, QString label3 = QString::null);

  void setNumber (int number) { _number = number; };
  int number () { return _number; };
protected:
  int _number;
};

#endif
