/***************************************************************************
                          dlgeditshortcut.h  -  Edit macro key
                             -------------------
    begin                : Pi mj 30 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@host.sk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGEDITSHORTCUT_H
#define DLGEDITSHORTCUT_H

#include <kdialogbase.h>

class cShortcut;

class QCheckBox;
class QLabel;
class KLineEdit;
class KPushButton;

/**
Dialog used to edit one kacro key/shortcut.
  *@author Tomas Mecir
  */

class dlgEditShortcut : public KDialogBase  {
   Q_OBJECT
public: 
  dlgEditShortcut (cShortcut *s, QWidget *parent=0, const char *name=0);
  ~dlgEditShortcut ();
  bool showMe ();
protected slots:
  void grabKey ();
protected:
  void createDialog ();

  cShortcut *shortcut;

  KLineEdit *cmd;
  QLabel *lblkey;
  KPushButton *btgrab;
  QCheckBox *chksendit, *chkoverwrite;
  int key, state;
};

#endif
