//
// C++ Interface: dlgeditvartrig
//
// Description:
//
//
// Author: Tomas Mecir <kmuddy@kmuddy.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DLGEDITVARTRIG_H
#define DLGEDITVARTRIG_H

#include <kdialogbase.h>

class cVarTrigger;

class KRestrictedLine;
class KTextEdit;

/**
GUI for editing of one variable triggers.

@author Tomas Mecir
*/
class dlgEditVarTrig : public KDialogBase
{
Q_OBJECT
public:
  dlgEditVarTrig (cVarTrigger *vt, QWidget *parent = 0, const char *name = 0);

  ~dlgEditVarTrig ();

  bool showMe ();
protected:
  void createDialog ();

  cVarTrigger *vartrig;

  KRestrictedLine *variable;
  KTextEdit *cmds;
};

#endif
