/***************************************************************************
                          dlgimportexportprofile.h  -  description
                             -------------------
    begin                : Ne jl 20 2003
    copyright            : (C) 2003 by Tomas Mecir
    email                : kmuddy@kmuddy.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGIMPORTEXPORTPROFILE_H
#define DLGIMPORTEXPORTPROFILE_H

#include <qwidget.h>
#include <kdialogbase.h>

class KLineEdit;
class QComboBox;

/**
Dialog where you choose what to import/export.
  *@author Tomas Mecir
  */

class dlgImportExportProfile : public KDialogBase  {
   Q_OBJECT
public: 
  dlgImportExportProfile (bool isImport, QWidget *parent=0,
        const char *name=0);
  ~dlgImportExportProfile ();
  void doThings ();
protected slots:
  void browse ();
protected:
  bool import;
  KLineEdit *edfname;
  KLineEdit *edprofile;
  QComboBox *cbprofile;
};

#endif
