//
// C++ Interface: dlgwindows
//
// Description: 
//
//
// Author: Vladimir Lazarenko <vlad@lazarenko.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DLGWINDOWS_H
#define DLGWINDOWS_H

#include <qwidget.h>
#include <kdialogbase.h>

class QLabel;
class KListBox;
class KPushButton;
class QStringList;

class cWindowList;

/**
@author Vladimir Lazarenko
*/
class dlgWindows : public KDialogBase
{
Q_OBJECT
public:
  dlgWindows(cWindowList *wlist, QWidget *parent = 0, const char *name = 0);

  ~dlgWindows();
    
protected slots:
  void wshow();
  void whide();
  void remove();
  
protected:
  void createDialog();
  void updateMe();
  
  QStringList wl;
  
  cWindowList *winlist;
  
  KListBox *box;
  KPushButton *btshow, *bthide, *btdelete;
  

};

#endif
